HTTP: environments
Default control-plane operations. Complete OpenAPI schema · Authentication and tenancy.
GET /api/environments
Section titled “GET /api/environments”List Environments
Operation ID: list_environments_api_environments_get.
Responses
Section titled “Responses”{ "200": { "description": "Successful Response", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/EnvironmentsResponse" } } } }}Model declarations: EnvironmentsResponse.
GET /api/environments/{environment_name}
Section titled “GET /api/environments/{environment_name}”Get Environment
Operation ID: get_environment_api_environments__environment_name__get.
| Parameter | Location | Required | Schema |
|---|---|---|---|
environment_name |
path | True | {"type":"string","minLength":1,"title":"Environment Name"} |
Responses
Section titled “Responses”{ "200": { "description": "Successful Response", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/EnvironmentsResponse" } } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } }}Model declarations: EnvironmentsResponse, HTTPValidationError.